Skip to main content
POST
/
v2
/
taxcodes
/
create
Creates a new tax code in the system
curl --request POST \
  --url https://api.jtl-cloud.com/erp/v2/taxcodes/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "cashDiscountAccount": "<string>",
  "generalLedgerAccount": "<string>",
  "isAutomatic": true,
  "name": "<string>",
  "number": 123
}
'

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Body

application/json

Request parameters

Creates a new tax code in the system - Request

cashDiscountAccount
string

The cash discount account of the new tax code

generalLedgerAccount
string

The general ledger account of the new tax code

isAutomatic
boolean

Whether this tax code is automatic

name
string

The name of the new tax code

number
integer<int32>

The number of the new tax code. If not provided, a number will be auto-assigned.

Response

201 - application/json

Tax code created successfully